// Liste von Animationen
Animation[] animations;

void setup() {
  size(500,500);
  // initialisiere Lste mit Instanzen der Kinder von Animation
  animations = new Animation[] {
    new GrowingBall('1'),
    new RotatingRect('2')
  };
}

void draw () {
  background(0);
  // zeichne jedes Objekt in der Liste animations
  for (int n=0; n<animations.length; n++) {
    animations[n].plot();
  }
}

// diese Funktion wird aufgerufen wenn eine Taste gedrückt wird
void keyPressed () {
  // rufe für jedes Element der Liste animations die Methode trigger() auf
  for (int n=0; n<animations.length; n++) {
    animations[n].trigger(key);
  }
}

// diese Funktion wird aufgerufen wenn eine Taste losgelassen wird
void keyReleased () {
  // rufe für jedes Element der Liste animations die Methode atopAnimation() auf
  for (int n=0; n<animations.length; n++) {
    animations[n].stopAnimation(key);
  }
}