int animationCounterMouse, animationCounterKey;

void setup () {
  size(600, 400);
  animationCounterMouse = 0;
  animationCounterKey = 0;
}

void draw () {
  background(0);
  
  handleMouseInput();
  handleKeyInput();
  
  drawMouseAnimation();
  drawKeyAnimation();
}
void handleMouseInput () {
  if (mousePressed) {
    animationCounterMouse++;
  } else {
    animationCounterMouse = 0;
  }
}
void handleKeyInput () {
  if (keyPressed) {
    animationCounterKey++;
  } else {
    animationCounterKey = 0;
  }
}
void drawMouseAnimation () {
  if (animationCounterMouse > 0) {
    println("mouse");
  }
}
void drawKeyAnimation () {
  if (animationCounterKey > 0) {
    println("keyboard");
  }
}